ml_classification_eval {sparklyr} | R Documentation

## Spark ML - Classification Evaluator

### Description

See the Spark ML Documentation MulticlassClassificationEvaluator

### Usage

    ml_classification_eval(predicted_tbl_spark, label, predicted_lbl,
      metric = "f1")

### Arguments

`predicted_tbl_spark` | A tbl_spark object that contains a columns with predicted labels
`label` | Name of the column that contains the true, indexed label. Support for binary and multi-class labels, column should be of double type (use as.double)
`predicted_lbl` | Name of the column that contains the predicted label NOT the scored probability. Support for binary and multi-class labels, column should be of double type (use as.double)
`metric` | A classification metric, for Spark 1.6: f1 (default), precision, recall, weightedPrecision, weightedRecall or accuracy; for Spark 2.X: f1 (default), weightedPrecision, weightedRecall or accuracy

### Value

see `metric`

[Package sparklyr version 0.6.3 Index]